error_log log/error.log debug;  #制定日志路径，级别。这个设置可以放入全局块，http块，server块，级别以此为：debug|info|notice|warn|error|crit|alert|emerg
events {
    accept_mutex on;   #设置网路连接序列化，防止惊群现象发生，默认为on
    multi_accept on;  #设置一个进程是否同时接受多个网络连接，默认为off
    worker_connections  1024;    #最大连接数，默认为512
}
http {
    default_type  application/octet-stream; #默认文件类型，默认为text/plain
    log_format myFormat '$remote_addr–$remote_user [$time_local] $request $status $body_bytes_sent $http_referer $http_user_agent $http_x_forwarded_for'; #自定义格式
    access_log log/access.log myFormat;  #combined为日志格式的默认值
    sendfile on;   #允许sendfile方式传输文件，默认为off，可以在http块，server块，location块。
    sendfile_max_chunk 1000m;  #每个进程每次调用传输数量不能大于设定的值，默认为0，即不设上限。
    keepalive_timeout 600;  #连接超时时间，默认为75s，可以在http，server，location块。


    upstream wiki {   
      server 192.168.10.15:8090;
    }
    error_page 404 https://www.baidu.com; #错误页
    

    #wiki
    server {
        keepalive_requests 120; #单连接请求上限次数。
        listen 80  ; #增加http2
        server_name  wiki.ida8.cn;   #监听地址  
        
        #开启ssl并添加证书


        location  ~*/pages/createpage-entervariables.action {       #抓小鬼
           proxy_pass  https://www.baidu.com;  #         
        } 
        location  ~*/pages/doenterpagevariables.action {       #抓小鬼
           proxy_pass  https://www.baidu.com;  #         
        }    
        location  / {       #请求的url过滤，正则匹配，~为区分大小写，~*为不区分大小写。
       	 	proxy_set_header        Host            $http_host;
       	 	proxy_set_header        X-Real-IP            $remote_addr;
      	  proxy_set_header        X-Forwarded-For            $proxy_add_x_forwarded_for;
     	   	proxy_set_header        X-Forwarded-Proto            $scheme;
					proxy_pass  http://wiki;  #请求转向mysvr 定义的服务器列表           
        } 

    }
    
} 


